module OpenSSH_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export scp
const scp_path = "/usr/bin/scp"
scp(f::Function; kw...) = f(scp_path)
scp(; kw...) = Cmd([scp_path])
export sftp
const sftp_path = "/usr/bin/sftp"
sftp(f::Function; kw...) = f(sftp_path)
sftp(; kw...) = Cmd([sftp_path])
export ssh
const ssh_path = "/usr/bin/ssh"
ssh(f::Function; kw...) = f(ssh_path)
ssh(; kw...) = Cmd([ssh_path])
export ssh_add
const ssh_add_path = "/usr/bin/ssh-add"
ssh_add(f::Function; kw...) = f(ssh_add_path)
ssh_add(; kw...) = Cmd([ssh_add_path])
export ssh_agent
const ssh_agent_path = "/usr/bin/ssh-agent"
ssh_agent(f::Function; kw...) = f(ssh_agent_path)
ssh_agent(; kw...) = Cmd([ssh_agent_path])
export ssh_keygen
const ssh_keygen_path = "/usr/bin/ssh-keygen"
ssh_keygen(f::Function; kw...) = f(ssh_keygen_path)
ssh_keygen(; kw...) = Cmd([ssh_keygen_path])
export ssh_keyscan
const ssh_keyscan_path = "/usr/bin/ssh-keyscan"
ssh_keyscan(f::Function; kw...) = f(ssh_keyscan_path)
ssh_keyscan(; kw...) = Cmd([ssh_keyscan_path])
end
